Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libyaml-cpp0_6-0.6.3-150400.4.3.1 RPM for ppc64le

From OpenSuSE Leap 15.5 for ppc64le

Name: libyaml-cpp0_6 Distribution: SUSE Linux Enterprise 15
Version: 0.6.3 Vendor: SUSE LLC <https://www.suse.com/>
Release: 150400.4.3.1 Build date: Fri Jul 22 14:51:57 2022
Group: Development/Libraries/C and C++ Build host: ibs-power9-12
Size: 592973 Source RPM: yaml-cpp-0.6.3-150400.4.3.1.src.rpm
Packager: https://www.suse.com/
Url: https://github.com/jbeder/yaml-cpp/
Summary: YAML parser and emitter in C++
A YAML parser and emitter in C++ matching the YAML 1.2 spec.

Provides

Requires

License

MIT

Changelog

* Thu Jul 14 2022 sbrabec@suse.com
  - Version 0.6.3 changed ABI without changing SONAME. Re-add symbol
    from the old ABI to prevent ABI breakage and crash of
    applications compiled with 0.6.1 (bsc#1200624, bsc#1178332,
    bsc#1178331, bsc#1160171, yaml-cpp-abi-breakage.patch).
* Sat Apr 09 2022 sbrabec@suse.com
  - Fix CVE-2018-20573 The Scanner:EnsureTokensInQueue function in yaml-cpp
    allows remote attackers to cause DOS via a crafted YAML file
    (CVE-2018-20573, bsc#1121227)
  - Fix CVE-2018-20574 The SingleDocParser:HandleFlowMap function in
    yaml-cpp allows remote attackers to cause DOS via a crafted YAML file
    (CVE-2018-20574, bsc#1121230)
  - Fix CVE-2019-6285 The SingleDocParser::HandleFlowSequence function in
    cpp allows remote attackers to cause DOS via a crafted YAML file
    (CVE-2019-6285, bsc#1122004)
  - Fix CVE-2019-6292 An issue was discovered in singledocparser.cpp in
    yaml-cpp which cause DOS by stack consumption
    (CVE-2019-6292, bsc#1122021)
  - Added patch cve-2018-20574.patch
* Tue Dec 17 2019 mrostecki@opensuse.org
  - Update to 0.6.3:
    * bug fixes
    * CMake updates, now requiring 3.1
  - Remove merged patch to fix PIE build:
    * yaml-cpp-fix-pie.patch
* Thu Aug 09 2018 rpm@fthiessen.de
  - Update to 0.6.2:
    * Fix incorrect version numbering
* Wed Feb 14 2018 pmonrealgonzalez@suse.com
  - Security fix: [bsc#1032144, CVE-2017-5950]
    * Stack overflow in SingleDocParser::HandleNode() function
    * Added patch yaml-cpp-CVE-2017-5950.patch
* Fri Feb 02 2018 tchvatal@suse.com
  - Update to 0.6.1:
    * Just brownpaperbag over previous release
* Wed Jan 31 2018 pmonrealgonzalez@suse.com
  - Update to version 0.6.0
    * yaml-cpp no longer depends on Boost
    * Requires C++11
    * Some bug fixes and performance improvements
  - Dropped patch yaml-cpp-disable-bundled-gmock.patch since it can
    be configured with the option YAML_CPP_BUILD_TESTS
* Thu Feb 02 2017 adam.majer@suse.de
  - use individual libboost-*-devel packages instead of boost-devel
* Mon Jul 11 2016 tchvatal@suse.com
  - Fix building with updated cmake and wrong -fPIE parsing:
    * yaml-cpp-disable-bundled-gmock.patch
    * yaml-cpp-fix-pie.patch
* Fri Feb 12 2016 mpluskal@suse.com
  - Update to 0.5.3
    * Bugfix release.
    * This will be the last release that does not require C++11.
  - Drop upstreamed fix-node-regression.patch
  - Small spec file cleanups
* Fri Nov 13 2015 tchvatal@suse.com
  - Add patch to fix wrong node behaviour in 0.5.2 bnc#954749:
    * fix-node-regression.patch
* Sat Aug 01 2015 rpm@fthiessen.de
  - Update version 0.5.2
    * Some bugfixes
  - Updated spec file
    * Using cmake macro
    * Updated copyright.

Files

/usr/lib64/libyaml-cpp.so.0.6
/usr/lib64/libyaml-cpp.so.0.6.3
/usr/share/licenses/libyaml-cpp0_6
/usr/share/licenses/libyaml-cpp0_6/LICENSE


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Nov 21 23:18:24 2022